//*************************************************
// 	Project Name: pdm2pcm
//	File Name: clk_div_even.v
// 	Description: 
//	Version: v1.0
//	Author: Noa
//*************************************************

module clk_div_even #(
	parameter 			N = 25)(
	input 				clk, 
	input 				rstn,
	input				ce,
	
	output reg			clk_out
);

//*************************************************
// 			Parameter
//*************************************************
	
//*************************************************
//			Inter Signal Declaration
//*************************************************	
	reg [$clog2(N)-1:0] cnt_div;

//*************************************************
//		 	Main core
//*************************************************
	always @(posedge clk or negedge rstn) begin
		if(!rstn) begin
			cnt_div <= 0;
			clk_out <= 0;
		end
		else if(ce) begin
			if(cnt_div == N-1) begin
				cnt_div <= 0;
				clk_out <= ~clk_out;
			end
			else begin
				cnt_div <= cnt_div + 1;
				clk_out <= clk_out;
			end
		end
	end

endmodule