//**********************************************************************
// 	Project: testbench of pdm2pcm
//	File: tb.v
// 	Description: 
//	Author: Noa
//  Timestamp: 
//----------------------------------------------------------------------
// Code Revision History:
// Ver:		| Author 	| Mod. Date		| Changes Made:
// v1.0.0	| Noa		| xx/xx/2019	| Initial version
//**********************************************************************
`timescale 1ns/1ps

module tb;

//**********************************************************************
// --- Parameter
//**********************************************************************
	parameter DATA_WIDTH = 18;
	parameter CLK_PERIOD = 4.0;			// 50Mhz
	parameter NUM_DATA = 10240;   
	parameter NUM_CHN = 4;

//**********************************************************************
// --- Test Input signal
//**********************************************************************	
	reg sym_clk, ce, rstn;
	
//**********************************************************************
// --- Test Output signal
//**********************************************************************
	wire out_pcm_valid;
	wire out_pcm_sync;
	wire signed [DATA_WIDTH-1:0] out_pcm_data;
	
//**********************************************************************
// --- Inter Signal Declaration
//**********************************************************************	

	
//**********************************************************************	
// --- Initial Block
//**********************************************************************

	GSR GSR(.GSRI(1'b1));

	Top Top_tb(
    .SYM_CLK(sym_clk),
    .SW1(ce),
    .KEY1(rstn),
    .out_pcm_sync(out_pcm_sync),
    .out_pcm_valid(out_pcm_valid),
    .out_pcm_data(out_pcm_data)
);

//**********************************************************************	
// --- Clock Generate
//**********************************************************************
	initial begin
		sym_clk = 1'b1;
		#(1.5*CLK_PERIOD) 
		forever #(CLK_PERIOD/2.0) sym_clk = ~sym_clk;
	end

//**********************************************************************
// --- Reset 
//**********************************************************************
	initial begin
		rstn = 1'b1;
		#(1.5*CLK_PERIOD) rstn = 1'b0;
		#(CLK_PERIOD) rstn = 1'b1;
	end
//**********************************************************************
// --- Constant Setting
//**********************************************************************
	initial begin
		ce = 1'b1;
	end



	
endmodule
